ForceFields::MMFF::MMFFOopCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFOop * | operator() (const MMFFDefCollection *mmffDef, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType, const unsigned int lAtomType) const
| Looks up the parameters for a particular key and returns them. More...
| MMFFOopCollection (const bool isMMFFs, std::string mmffOop="")

## Public Attributes

std::vector< MMFFOop > | d_params
| the parameter vector More...
std::vector< std::uint8_t > | d_iAtomType
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom i More...
std::vector< std::uint8_t > | d_kAtomType
| atom type vector for atom j More...
std::vector< std::uint8_t > | d_lAtomType
| atom type vector for atom k More...

## Detailed Description

Definition at line 816 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFOopCollection()

ForceFields::MMFF::MMFFOopCollection::MMFFOopCollection | ( | const bool | isMMFFs,
|  | std::string | mmffOop = `""`
| ) |  |

## Member Function Documentation

## operator()()

const MMFFOop* ForceFields::MMFF::MMFFOopCollection::operator() | ( | const MMFFDefCollection * | mmffDef,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType,
|  | const unsigned int | lAtomType
| ) |  | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFOop object, NULL on failure.

Definition at line 822 of file MMFF/Params.h.

## Member Data Documentation

## d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFOopCollection::d_iAtomType

Definition at line 919 of file MMFF/Params.h.

## d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFOopCollection::d_jAtomType

atom type vector for atom i

Definition at line 920 of file MMFF/Params.h.

## d_kAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFOopCollection::d_kAtomType

atom type vector for atom j

Definition at line 921 of file MMFF/Params.h.

## d_lAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFOopCollection::d_lAtomType

atom type vector for atom k

Definition at line 922 of file MMFF/Params.h.

## d_params

std::vector<MMFFOop> ForceFields::MMFF::MMFFOopCollection::d_params

the parameter vector

Definition at line 918 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h